01/06/2011: v2.3.3
	- updated Brazilian Portuguese translation (thanks to Valdinei Martins)
	- updated Chinese translation
	- updated Dutch translation and news
	- updated Italian translation, commentary and hints (thanks to Robesto Destrieri)
	- added Italian news (thanks to Robesto Destrieri)
	- repaired Danish news file (thanks to Joe Dalton)
	- finished the default team implementation, you're now able to use a default
	  team without using the option to store/restore your default team after a match
	- added Asian teams definitions : Australia, China, India, Indonesia, Iran, Korea,
	  Quatar, Saudi Arabia, Singapore, Thailand, 
	  United Arab Emirates, Uzbekistan (thanks to Martins Valdinei)
	- added North American teams definitions: Belize, Candada, Costa Rica, El Salvador,
	  Guatemala, Honduras, Jamaica, Mexico, Nicaragua, Panama, Puerto Rico,
	  Trinidad & Tobago, USA (thanks to Martins Valdinei)
	- updated Japan definitions (thanks to Martins Valdinei)
	- updated Romanian translations and definitions
	- updated Greek translations and commentaries (thanks to Ilias Makris)
	- Changed the gui code (not visible, I hope)
	- Implemented corners
	- Fixed a Spectator Bug in Multiplayer-Games (thanks to rookie86)
	- Added African definitions (thanks to Valdinei Martins)
	- Added news and commentary files to the translated strings.  Translators don't
	  have to change xml files anymore
	- Add the boost and style settings to the default team (ticket 2778645 )
	- Always show news after a match (Bug 3257236)
	- Performance improvements for game simulations.
	- Added new xml tags to support creating reserve teams:
	  first_team and reserve_level tags added to team xml definitions.
	  reserve_promotion_rules tag to country xml definitions.
	  number_of_teams tag added to prom_rel_element.
	  rank_start, rank_end tags added to prom_games.
	- Bug fix for cups with (N^2) + 1 teams.
	- Updated Faroe Islands definitions for 2019.
	- XML definitions are checked for errors at startup.

05/07/2009: v2.3.2
	- added Turkish translation, news and hints (thanks to Cem Uykun)
	- updated Turkish player names, commentaries (thanks to Cem Uykun)
	- added Greek translation, news and hints (thanks to Ilias Makris)
	- added Swedish news and updated Swedish translation (thanks to Daniel Nylander)
	- updated greek, italian, romanian, chinese translation
	- updated Danish translation and hints (thanks to Joe Dalton)
	- added Danish news file (thanks to Joe Dalton)
	- added more meaning to autosave filenames (user, country etc.)
	- added W-L-D and cup round robin rank info to the next opponent view
	- added possibility to edit player names in the second player list
	- corrected some  supercup definition errors which resulted in crashes
	- foul probabilities in the live game are more sophisticated now
	- added a simple GUI for editing Bygfoot constants in the
	  preferences (enabling users to fine-tune the game)
	- there is an option to store the order of your team, this order will be restored after a match

29/01/2009: v2.3.1
	- added possibility for multiple tables in leagues (think
	  apertura/clausura in south america)
	- added joined leagues feature (think conferences in US sports)
	- added variable round robins for cups and variable breaks between
	round robins
	- solved some minor bugs
	- added clicking in tables and fixtures mode (switches to the
	  other view, respectively)
	- added new images for simulation
	- added newspaper feature
	- the country selection got some convenience updates
	- updated player names for most European countries (thanks Mihai Floran,
	tomassi)
	- updated Swedish translation (thanks to Daniel Nylander)
	- updated North American country definitions (thanks to Chris Hunter),
	- updated South American country definitions (thanks to Ivan Ramirez),
	- updated and added European country definitions (thanks to Tommasi,
	Mihai Floran)
	- revamped European cup system (thanks to Tommasi)
	- updated Polish translation (thanks to Michał Rudolf)
	- updated Romanian translations (thanks to Mihai Floran)
	- updated Chinese translation (thanks to Jie Luo, Calvin Zhuang)
	- added Portuguese translation (thanks to  Marco Alves)
	- added Brazilian Portuguese translation (thanks to Valdinei Martins)
	- updated Spanish translation (thanks to Ivan Ramirez)
	- updated Dutch translation
	- updated German translation
	

06/11/2008: v2.3.0
	- added flag for Montenegro (thanks to Mihai Floran)
	- added definitions for a European Union League (thanks to Mihai Floran)
	- added new short leagues (thanks to Mihai Floran)
	- added definitions for Hungary (thanks to Mihai Floran)
	- added definitions for Russia (thanks to Mihai Floran)
	- added definitions for Portugal (thanks to Mihai Floran)
	- added definitions for Austria (thanks to Mihai Floran)
	- added definitions for Ukraine (thanks to Mihai Floran)
	- added definitions for Moldova (thanks to Mihai Floran)
	- added league commentary for Italy (thanks to Basilio Silvio Greco)
	- added league commentary for Romania (thanks to Mihai Floran)
	- added Romanian hints (thanks to Mihai Floran)
	- added updated definitions for Romania (thanks to Mihai Floran)
	- fixed a problem with the Youth Academy preference
	- added player balking during transfers
	- added ticket prices for the stadium
	- added variable interest rate for loans
	- added automatic loan repayment
	- fixed next opponent display bug on Mac
	- update french translation (thanks to Marc Schneider)


3/02/2008: v2.2.1
	- added new pictures (thanks to Michael Duecker)
	- deleted old pictures
	- added Italian hints (thanks to Basilio Silvio Greco)
	- updated Italian translation (thanks to Basilio Silvio Greco)
	- added definitions for Peru (thanks to Ivan Ramirez)
	- updated French translation (thanks to Marc Schneider)
	- updated French live game commentary file (thanks to Marc Schneider)
	- added definitions for a FIFA league (thanks to Ivan Ramirez)
	- added player names for Peru (thanks to Ivan Ramirez)
	- added player names for Czech Republic (thanks to Pavel Pulpan)
	- added flag for Czech Republic (thanks to Pavel Pulpan)
	- added Czech Republic to the cups (thanks to Pavel Pulpan)
	- added league of the Czech Republic (thanks to Pavel Pulpan)
	- removed short league of the Czech Republic


5/18/2007: v2.2.0
	- added updated definitions for Mexico (thanks to Christopher Hunter) 
	- added updated definitions for USA (thanks to Christopher Hunter) 
	- added updated definitions for Japan (thanks to Christopher Hunter) 
	- fixed some minor bugs


3/4/2007: v2.1.1
	- added Polish translation for the training camp (thanks to Michal Rudolf)
	- added French translation for the training camp (thanks to Alexandre Coutherez and Forjan Frédéric)
	- changes in gui to make bygfoot usable for blind users. Added 
	possibility to swap players using the RETURN key.
	(thanks to Roberto Burceni for the input)
	- added new definitions for USA (thanks to Christopher Hunter)
	- added new definitions for Argentina (thanks to Christopher Hunter)
	- added new definitions for Mexico (thanks to Christopher Hunter)
	- added new definitions for Japan (thanks to Christopher Hunter)
	- added definitions and names for Turkey (thanks to Onur Aydin)
	- corrected a bug in training camp. The counting of the training
	points now works correct.
	- changed the costs of the training camps
	- added a couple of new tags to the XML definition system related
	to weeks with two matchdays of the same competition
	- changed the ticket income of cup matches without a second leg.
	The ticket income is subdivided. 50% for each team.
	- fixed some minor bugs
	

1/27/2007: v2.1.0
	- added new feature training camp
	- updated German definition
	- added "luck"-feature to make long-lasting success even harder
	for the user
	- added new definitions for USA (thanks to Christopher Hunter)
	- added Dutch translation for the training camp 
	(thanks to Tobe Deprez)
	- added Romanian translation for the training camp
	(thanks to Spoială Cristian)
	- added Danish translation for the training camp
	(thanks to Kristian Poul Herkild)
	- added Swedish translation for the training camp
	(thanks to Daniel Nylander)
	- added Spanish translation for the training camp
	(thanks to Carlos Garces)
	- added German translation for the training camp
		

12/11/2006: v2.0.1
	- fixed some minor bugs
	- updated German definition and team def files (thanks to Michael)
	- added (new) definitions for USA, Japan, Mexico and Argentina
	(thanks to Christopher)
	- added French live game commentary (thanks to Alexandre Coutherez) 


6/4/2006: v2.0.0
	- updated English, Scottish and Irish definitions (thanks to Mark)
	- updated German definition
	- fixed a bug that prevented 1st league CPU teams from growing
	stronger when the user became champion
	- fixed some zenity-related errors in the bygfoot-update script
	- updated translations
	- fixed a bug that lead to a crash on AMD64-systems
	- corrected some spelling mistakes in the English commentary file
	(Mark)

	
5/12/2006: v1.9.6
	- fixed a bug that made the main window remain insensitive after
	opening and closing some other window
	- fixed a bug that crashed the game when loading memorable matches
	- fixed some nonsensical decisions in the strategy xml files
	- updated Irish definition (Mark Calderbank)
	- fixed a bug that crashed the game if you changed boost/style in
	the live game window near the end of the game
	- fixed a bug that made the WC 2006 unplayable (the final in
	Germany got skipped)

	
3/24/2006: v1.9.5
	- fixed a bug that led to a 'cup not found' exit after a few
	seasons
	- fixed a minor youth academy bug
	- added a splash screen
	- added definition for the Euro 2008
	- added a definition for Sweden and a Swedish translation (thanks
	to Daniel Nylander)
	

12/22/2005: v1.9.4
	- fixed an annoying crash that occurs every time a user wins a cup or
	loses a cup final
	- fixed a bug that prevented the Windows version from saving
	correctly
	

12/14/2005: v1.9.3
	- updated German country definition (thanks to Sebastian Vöcking,
	Michael Trent)
	- added strategies for CPU teams
	- added option to randomise teams in cups in the startup window
	(relevant for the World Cup definition, mainly)
	- added search popup to the teams list in the startup window (just
	type a few letters to begin search)
	- added betting
	- minor bugfixes
	- boost costs money
	- reworked the Brazilian definition, making it more like it is in
	reality
	- added some nice pictures to the progress bar shown when
	calculating results or loading/saving games
	- added job exchange (including jobs from abroad!)
	- added definition for Greece (thanks to Theodore Dimitriadis)
	- minor usability improvements, involving the startup window and
	right/left-clicking on players
	- removed source update feature from the bygfoot-update script
	(use the CVS version to live on the bleeding edge)
	

10/16/2005: v1.9.2
	- fixed some minor bugs
	- updated translations
	- added Spanish and Chinese translations
	- switched from 'arj' to GNU 'zip' in the Windows port
	- added player streaks (hot/cold)
	- added definition for the Netherlands (thanks to Zwakstroom)
	- added definition for the World Cup 2006 Germany
	- minor definition system improvements
	- window geometry can be saved
	- boost and style change 'on the fly' during live games
	- added season results view (Figures -> Season results)
	- added command line options	

09/10/2005: v1.9.1
	- updated German and Dutch translations
	- added Polish (complete), French (almost complete), Romanian
	  (a.c.) and Bulgarian (a.c.) translations
	- added i18n support for the binary package
	- transfer offers are remembered
	- added sponsorship money
	- fixed some minor bugs
	- improved live game commentary (moved to XML files, added
	  conditions etc.)
	- added country definitions for Australia, Bulgaria, Victoria
	  (Australia), Spain and Serbia&Montenegro
	- added youth academy
	- added experimental Windows port (thanks to Simon Binns)
	- improved definition system
	- added memorable matches feature
	
06/18/2005: v1.9.0
	- complete rewriting of the game, too many changes to count them
	and keep them in mind. among the most important ones are:
	- real interactive live game
	- hotseat multiplayer
	- extremely flexible and customizable country definitions
	- country-specific player names
	- constants determining game behaviour are loaded from a text file
	making it easy to change and fine-tune the game

06/18/2005: v1.8.2
	- corrected a bug in the update script
	- fixed the job offer bug
	- added some more keyboard shortcuts
	- corrected a 'ghost-player'-bug after a transfer

01/30/2005: v1.8.1
	- added Dutch translation and country file for Belgium (thanks to
	ATD)
	- fixed a bug that prevented loading of custom country files
	- fixed a season objective bug
	- fixed a floating point bug (thanks to Ken Brush)

01/30/2005: v1.8.0 (changes compared to 1.6.3)
	- added a lot of new and fine icons (thanks to Vector)
	- added GeoVah's season objective patch (thanks, GeoVah)
	- added possibility to disable savegame compression
	- stadium events are less harsh
	- there are more players from lower leagues on the transfer list
	- switched the load/save system to XML, making it slower but more
	flexible (thanks to Arnaud Le Rouzic for valuable help)
	- improved the options window (tabs make it more orderly now)
	- added second player list (also with tabs)
	- complete Bygfoot packages can be downloaded with the update
	script now
	- added gettext support and French, German, Russian, Hungarian,
	Romanian and Portuguese	translations (see AUTHORS)
	- fixed a bug concerning own goals in live games
	- added player and team 'histories'
	- added boost feature
	- added country file for Mexico (thanks to Arturo Mendez)
	- added country files for Chile (thanks to Julio Saldivar)
	- improved the update script
	- added a simple gui for the script
	- added updated country file for Italy (thanks to Marco Fabbri)
	- fixed a bug that led to no ticket income for cup games
	- fixed a bug that occurred when you made a stadium enlargement
        over several weeks
	- replaced official team names with city names because of
	trademark issues (the official names can be downloaded from
	http://www.bygfoot.com)
	- removed official player names because of the same reason (you
	can still download them from the homepage)
	- added injuries and cards display for opponent teams in the match
	summary
	- clicking on a team name in the tables shows the team's player list
	- clicking on a fixture shows the player list of one of the teams,
	depending on the mouse button you use
	- job offers show a lot more information on the team offering the
	job
	- a player can suffer an injury that forces him to retire
	- added own goals and penalties in regulation and extra time
	- added reasons why a player was banned (thanks to Tom Chance for
	the correct football expressions)
	- added player and some more team awards (with prize money) at the
	end of a season

	NOTE: The 1.8 branch is not savegame-compatible to the 1.6.x
	versions.

11/23/2004: v1.7.3
	- switched the load/save system to XML, making it slower but more
	flexible (thanks to Arnaud Le Rouzic for valuable help)
	- improved the options window (tabs make it more orderly now)
	- added second player list (also with tabs)
	- complete Bygfoot packages can be downloaded with the update
	script now
	- added gettext support and French, German, Russian, Hungarian,
	Romanian and Portuguese	translations
	- fixed a bug concerning own goals in live games
	- added player and team 'histories'
	- added boost feature
	
11/23/2004: v1.6.3
	- fixed a bug that caused the game to interpret promotion game
	home/away results incorrectly	
	- added translations for the interface (so the game's partly
	translated)

09/30/2004: v1.7.2
	- added country file for Mexico (thanks to Arturo Mendez)
	- improved the update script
	- added a simple gui for the script
	- added updated country file for Italy (thanks to Marco Fabbri)
	- fixed a bug that led to no ticket income for cup games
	- fixed a bug that occurred when you made a stadium enlargement
        over several weeks
	- replaced official team names with city names because of
	trademark issues (the official names can be downloaded from
	http://www.bygfoot.com)
	- removed official player names because of the same reason (you
	can still download them from the homepage)

09/30/2004: v1.6.2
	- improved the update script
	- added updated country file for Italy (thanks to Marco Fabbri)
	- fixed a bug that led to no ticket income for cup games
	- fixed a bug that occurred when you made a stadium enlargement
        over several weeks
	- replaced official team names with city names because of
	trademark issues (the official names can be downloaded from
	http://www.bygfoot.com)
	- removed official player names because of the same reason (you
	can still download them from the homepage)

09/09/2004: v1.6.1 + 1.7.1
	- corrected a bug that caused the game to hang if live games were
	switched on and there were no games to play
	- added an online update script for the source package
	('bygfoot-update')

09/05/2004: v1.7.0
	- added injuries and cards display for opponent teams in the match
	summary
	- clicking on a team name in the tables shows the team's player list
	- clicking on a fixture shows the player list of one of the teams,
	depending on the mouse button you use
	- job offers show a lot more information on the team offering the
	job
	- a player can suffer an injury that forces him to retire
	- added own goals and penalties in regulation and extra time
	- added reasons why a player was banned (thanks to Tom Chance for
	the correct football expressions)
	- added player and some more team awards (with prize money) at the
	end of a season

09/05/2004: v1.6.0
	- added possibility to have messages shown instead of popups
	when possible
	- added extended stadium capacity enlargement possibilities
	- added possibility to fire a player
	- added 'Player actions' button
	- changed the current skill and fitness display a bit: current
	skill is now the skill that's really used when computing games
	(except for the home advantage factor); fitness can be 100% now
	and is shown in different colors (thanks to arnaudus)
	- corrected a minor display bug (you could see the updated rank in
	the main window when playing two live games already after the
	first one)
	- added uninstall possibility for the src version
	- added manpage
	- added a configuration file:
	$HOME/.bygfoot/text_files/bygfoot.conf; this way, your favourite
	settings get loaded even if you start a new game
	- added physician quality (like scout); better physician costs
	more but players heal better on average
	- healing time of players can be overestimated; until now it was
	always underestimated (i.e. the player was injured _at least_ as
	long as the expected recovery time)
	- corrected a save/load bug that occurred when you saved a game
	just before getting a new scout

	NOTE: The 1.6 branch is not savegame-compatible to the 1.4.x
	versions.
	
08/17/2004: v1.5.2
	- added possibility to have messages shown instead of popups
	when possible
	- added extended stadium capacity enlargement possibilities
	- added possibility to fire a player
	- added 'Player actions' button
	- changed the current skill and fitness display a bit: current
	skill is now the skill that's really used when computing games
	(except for the home advantage factor); fitness can be 100% now
	and is shown in different colors (thanks to arnaudus)
	- corrected a minor display bug (you could see the updated rank in
	the main window when playing two live games already after the
	first one)

08/17/2004: v1.4.3
	- corrected the '1-2'-bug: you couldn't enter these two digits
	into fields like the structure field because they were used as
	keyboard shortcuts for browsing forward and back. browsing's done
	with 'q' and 'w' now, and 'q' quits the game only when the browse
	buttons aren't shown (e.g. in main menu mode)
	- corrected some minor transfer list bugs (there seem to be
	infinitely many of these :-( )
	- fixed a bug that occurred when cup matches that ended drawn were
	shown
	- corrected a sorting bug (occurred when computing the tables)

07/12/2004: v1.4.2, v1.5.1
	- corrected the transfer list bug
	
07/10/2004: v1.5.0
	- added uninstall possibility for the src version
	- added manpage
	- added a configuration file:
	$HOME/.bygfoot/text_files/bygfoot.conf; this way, your favourite
	settings get loaded even if you start a new game
	- added physician quality (like scout); better physician costs
	more but players heal better on average
	- healing time of players can be overestimated; until now it was
	always underestimated (i.e. the player was injured _at least_ as
	long as the expected recovery time)

	NOTE: This version is unfortunately once again not
	savegame-compatible to 1.4.0. I'm terribly sorry.

07/10/2004: v1.4.1
	- corrected the freeze bug that occurred when you had a
	$HOME/.bygfoot directory from an older Bygfoot version
	- fixed bookmaker's tip bug (thanks to metoneca)
	- changed that absurd 'physicist' to 'physio'
	- reduced the damage a fire caused to your stadium

07/03/2004: v1.4.0
	- added Michal Rudolf's country file for Poland
	- added possibility to play in international cups only
	(e.g. participate in Champions' League only, without playing
	regular league games)
	- you can see information on your next opponents in the right part
	of the main window
	- swapping two players automatically adapts team structure (but
	you can switch this off, of course)
	- as you can see: the version numbering has changed. no
	alphas and omegas anymore!
	- added export/import features to the Editor; you can export
	individual teams to files and import such files into your local
	team definitions file
	- extended the filter rules for transfer list notification
	- added Autosave option
	- fixed a non-technical bug: european team names didn't
	change at the beginning of a new season
	- fixed a scrolling bug that occurred in the live game window when
	penalties were shot
	- added average skill labels in the main window
	- players are put onto the transfer list by right-clicking instead
	of left-clicking; left-clicking always swaps players now
	- converted player names to lowercase (which sounds easier than it
	is in reality; utf8 seems to have disadvantages, too)
	- the 'Rearrange Team' button automatically changes the team
	structure to the appropriate value
	- savegames located in the $HOME/.bygfoot/saves directory can be
	loaded from the command line without full path names
	- country files located in one of the support files directories
	(e.g. $HOME/.bygfoot/text_files) can be loaded with '-f filename'
	without full path names
	- fixed a money bug: you can pay debts with your drawing
        credit now
	- introduced playing style for cpu-teams (they always played
	balanced until now)
	- added variable interest rates for your debts (the more you owe,
	the lower the interest rate)
	- added possibility to display fixtures of all leagues

	NOTE: This version is unfortunately not compatible anymore to
	saved games of previous versions.
	
06/10/2004: v1.3 beta
	- corrected a horrible bug in the prize money function (thanks to
	Ken Brush)
	- added possibility to change team names with the Editor
	- added Jose Geraldo Gouvea's country file for Brazil
	- fixed some compiler warnings
	- fixed a bug that made it impossible to load a custom country
	file from the team selection window

05/24/2004: v1.3 alpha
	- first version including the Bygfoot Team Editor
	- you can edit complete teams and store them in a text file
	- switched to UTF-8 encoding: all text files are encoded that way,
	so that almost any special character (eg. in a team or player
	name) can be displayed correctly
	- added Cristian Spoiala's country file for Romania
	- fixed a bug that made it possible that you got hired by your own
	team
	- fixed a bug that occured when displaying a game result
	- created several new source files so that the code is distributed
	better now

05/07/2004: v1.1 beta
	- added possibility to change the name of your team
	- added possibility to filter transfer notifications by age
	- added prize money for teams finishing 1st - 3rd in the league
	- fixed a bug that caused players to have empty name when loading
	games from the command line
	- fixed a bug that led to poor attendance in cup games
	- added unselect feature in the player list
	- really good players appear less often on the transfer list
	- added drawing credit
	
04/16/2004: v1.1 alpha 'Eurofoot'
	- added some European leagues to choose from; the game
	structure stays the same, though
	- accordingly, the player names aren't just English ones anymore but
	international ones
	- improved player generation phase concerning speed: the game
	starts much quicker now
	- improved 'new week' functions; the results come even quicker
	- you can create an own 'localisation' by copying and editing one
	of the 'team_names_XX' files, so that you have custom team names
	and league/cup names
	- added an 'Undo' button

	NOTE: This version is unfortunately not compatible anymore to
	saved games of previous versions. This is because of the new
	player and team names.

04/07/2004: v1.0 final 'Quickfoot'
	- connected the skill level of European teams to the average level
	of the Premiership so that it doesn't become too easy to win the
	European Cups after a couple of seasons
	- worked a bit on speed issues; the game should start a bit faster
	and calculate the results quicker, too	

02/24/2004: v1.0 beta
	- stadium values may be increased twice a week now
	- added some buttons to give easier access to tables and fixtures
	- added quick options in the main window
	- changed most of the finance issues: the ticket income is higher,
	  but the difference between players with similar propertiers
	  (skill etc.) in different leagues is much smaller now
	- UEFA Cup is now harder to win
	- fixed a bug that led to the same number of goal chances in every
          game regardless of the individual teams that played (this made
	  it very hard for even the best teams to win predictably against
	  weaker opponents)
	- fixed a bug that allowed players to have a talent above 9.9
	- fixed a bug that caused the game to reject some normal save
	  files
	- fixed a bug that made it less probable to sell a player the
	  better the scout was
	- fixed a bug that caused a player with expected recovery time 11
	  to get healthy within a week

02/14/2004: v1.0 alpha
	- first graphical version using GTK+ 2
	- new features: - live game
	                - playing style (attack/defend)
			- buy players not on the transferlist
	
01/02/2002 v0.5 pre-alpha, alpha and beta
	 - text-based version full of pointers and containing an
	 untraceable segfault 
